#version 330

uniform sampler2DRect inputTex;
uniform sampler2DRect maskTex;

layout (location=0) in vec3 vsPosition;
layout (location=1) in vec2 vsTexture;

uniform float uLocalTime;
uniform float speed;

out vec2 fsTexture;
out vec2 fsMaskTexture;
out vec2 fsNormalizedUV;
out vec2 fsTextureSize;
out vec3 fsPosition;

out float cosTime1;
out float cosTime2;
out float cosTime3;
out float fsTime;


void main()
{
    gl_Position=vec4(vsPosition.x,vsPosition.y,vsPosition.z,1.0);

    fsPosition=vsPosition*vec3(1.0,1080.0/1920.0,1.0);

    fsTexture=vsTexture;

    fsTexture = vsTexture;
    ivec2 texSize=textureSize(inputTex);
    fsTextureSize=vec2(texSize);
    fsNormalizedUV=vsTexture/fsTextureSize;
    fsMaskTexture=fsNormalizedUV;
    texSize=textureSize(maskTex);
    fsMaskTexture*=vec2(texSize);

    fsTime=uLocalTime*speed;
}

